org.apache.storm.generated

## Class LocalAssignment

- java.lang.Object
- - org.apache.storm.generated.LocalAssignment

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<LocalAssignment>, org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>, org.apache.storm.thrift.TSerializable
  Direct Known Subclasses:
    TimerDecoratedAssignment

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class LocalAssignment
      extends Object
      implements org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>, Serializable, Cloneable, Comparable<LocalAssignment>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocalAssignment._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<LocalAssignment._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAssignment()`
    `LocalAssignment(LocalAssignment other)` Performs a deep copy on other.
    `LocalAssignment(String topology_id, List<ExecutorInfo> executors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_executors(ExecutorInfo elem)`
    `void` | `clear()`
    `int` | `compareTo(LocalAssignment other)`
    `LocalAssignment` | `deepCopy()`
    `boolean` | `equals(LocalAssignment that)`
    `boolean` | `equals(Object that)`
    `LocalAssignment._Fields` | `fieldForId(int fieldId)`
    `Iterator<ExecutorInfo>` | `get_executors_iterator()`
    `int` | `get_executors_size()`
    `List<ExecutorInfo>` | `get_executors()`
    `String` | `get_owner()`
    `WorkerResources` | `get_resources()`
    `String` | `get_topology_id()`
    `double` | `get_total_node_shared()`
    `Object` | `getFieldValue(LocalAssignment._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_executors()` Returns true if field executors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_owner()` Returns true if field owner is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_resources()` Returns true if field resources is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_id()` Returns true if field topology_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_node_shared()` Returns true if field total_node_shared is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(LocalAssignment._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_executors_isSet(boolean value)`
    `void` | `set_executors(List<ExecutorInfo> executors)`
    `void` | `set_owner_isSet(boolean value)`
    `void` | `set_owner(String owner)`
    `void` | `set_resources_isSet(boolean value)`
    `void` | `set_resources(WorkerResources resources)`
    `void` | `set_topology_id_isSet(boolean value)`
    `void` | `set_topology_id(String topology_id)`
    `void` | `set_total_node_shared_isSet(boolean value)`
    `void` | `set_total_node_shared(double total_node_shared)`
    `void` | `setFieldValue(LocalAssignment._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_executors()`
    `void` | `unset_owner()`
    `void` | `unset_resources()`
    `void` | `unset_topology_id()`
    `void` | `unset_total_node_shared()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<LocalAssignment._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LocalAssignment

          public LocalAssignment()

    - #### LocalAssignment

          public LocalAssignment(String topology_id,
                                 List<ExecutorInfo> executors)

    - #### LocalAssignment

          public LocalAssignment(LocalAssignment other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LocalAssignment deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### get_topology_id

          public String get_topology_id()

    - #### set_topology_id

          public void set_topology_id(String topology_id)

    - #### unset_topology_id

          public void unset_topology_id()

    - #### is_set_topology_id

          public boolean is_set_topology_id()

      Returns true if field topology_id is set (has been assigned a value) and false otherwise

    - #### set_topology_id_isSet

          public void set_topology_id_isSet(boolean value)

    - #### get_executors_size

          public int get_executors_size()

    - #### get_executors_iterator

          public Iterator<ExecutorInfo> get_executors_iterator()

    - #### add_to_executors

          public void add_to_executors(ExecutorInfo elem)

    - #### get_executors

          public List<ExecutorInfo> get_executors()

    - #### set_executors

          public void set_executors(List<ExecutorInfo> executors)

    - #### unset_executors

          public void unset_executors()

    - #### is_set_executors

          public boolean is_set_executors()

      Returns true if field executors is set (has been assigned a value) and false otherwise

    - #### set_executors_isSet

          public void set_executors_isSet(boolean value)

    - #### get_resources

          public WorkerResources get_resources()

    - #### set_resources

          public void set_resources(WorkerResources resources)

    - #### unset_resources

          public void unset_resources()

    - #### is_set_resources

          public boolean is_set_resources()

      Returns true if field resources is set (has been assigned a value) and false otherwise

    - #### set_resources_isSet

          public void set_resources_isSet(boolean value)

    - #### get_total_node_shared

          public double get_total_node_shared()

    - #### set_total_node_shared

          public void set_total_node_shared(double total_node_shared)

    - #### unset_total_node_shared

          public void unset_total_node_shared()

    - #### is_set_total_node_shared

          public boolean is_set_total_node_shared()

      Returns true if field total_node_shared is set (has been assigned a value) and false otherwise

    - #### set_total_node_shared_isSet

          public void set_total_node_shared_isSet(boolean value)

    - #### get_owner

          public String get_owner()

    - #### set_owner

          public void set_owner(String owner)

    - #### unset_owner

          public void unset_owner()

    - #### is_set_owner

          public boolean is_set_owner()

      Returns true if field owner is set (has been assigned a value) and false otherwise

    - #### set_owner_isSet

          public void set_owner_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(LocalAssignment._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### getFieldValue

          public Object getFieldValue(LocalAssignment._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### isSet

          public boolean isSet(LocalAssignment._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(LocalAssignment that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(LocalAssignment other)

      Specified by:
        `compareTo` in interface `Comparable<LocalAssignment>`

    - #### fieldForId

          public LocalAssignment._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.